SciChart® the market leader in Fast WPF Charts, WPF 3D Charts, and now iOS Charting & Android Chart Components

Welcome to the SciChart Community Forums!

Please use the forums below to ask questions about SciChart. Take a moment to read our Question asking guidelines on how to ask a good question and our support policy

We also have a tag=SciChart on Stackoverflow.com where you can earn rep for your questions!

0
0

Very simply, I am attempting to get the Examples to compile and upload to my Android phone. The first download had the examples, but not including Showcases. That version I successfully compiled and ran on an Android phone. Very happy with the professional look and feel.

Since then, I re-downloaded the examples including Showcase and gone through so many upgrades of Android Studio and Gradle and various supporting libraries (as prompted) I’ve lost track.

However, now I cannot compile. Please tell me what dependency is broken of config needs to be changed. Someone else must have been through this.

Thank you for your help.
Ed

Error message:
Gradle sync failed: Could not find core.aar (com.scichart.library:core:2.0.1.1962).
Searched in the following locations:
https://www.myget.org/F/abtsoftware/maven/com/scichart/library/core/2.0.1.1962/core-2.0.1.1962.aar
Consult IDE log for more details (Help | Show Log) (9s 483ms)

I’ve also gone through and set Compile SDK Version to API 25, build tools version to 27. Then I get an error
Gradle sync failed: Could not find method android() for arguments [build_dpm8geo0q8d311u3f6njnup18$_run_closure10@1d7e526a] on root project ‘Examples’ of type org.gradle.api.Project.

Configuration:
MacOS 10.12.6, Android Studio 3.0 (updated from 2.3.x), JDK 1.8

Version
7.0
  • You must to post comments
1
0

Hi Ed,

It seems that there was some error during uploading of v2.0.1.1962 to Maven repository because if you take a look on its size you should notice that aar has 0 byte size and this causes the error which you reported.

I’m going to investigate why this happened and for now I would suggest you to switch to previous version of library ( v2.0.1.1949 ):

compile (group: 'com.scichart.library', name: 'core', version: '2.0.1.1949', ext: 'aar')
compile (group: 'com.scichart.library', name: 'data', version: '2.0.1.1949', ext: 'aar')
compile (group: 'com.scichart.library', name: 'drawing', version: '2.0.1.1949', ext: 'aar')
compile (group: 'com.scichart.library', name: 'charting', version: '2.0.1.1949', ext: 'aar')
compile (group: 'com.scichart.library', name: 'extensions', version: '2.0.1.1949', ext: 'aar')

Hope this will help you!

Best regards,
Yura

  • Ed Chambers
    Confirmed: that solved my issue. Thank you so much.
  • You must to post comments
Showing 1 result
Your Answer

Please first to submit.